using UnityEngine;

[CreateAssetMenu(fileName = "text effect provider", menuName = "Text Effect Provider")]
public sealed class TextEffectController : ScriptableObject
{
    [SerializeField]
    private TextEffect effectPrefab = null;

    public void Spawn(string text, float time, Vector3 position, Vector3 direction) {
        var effect = Instantiate(effectPrefab);
        effect.Init(text, time, position, direction);
    }
}
